@echo off
REM ------------------------------------------------------------------------
REM Cleanup.cmd
REM
REM  After install wizard has completed, remove all left over files.
REM
REM ------------------------------------------------------------------------
echo Final Cleanup is in progress...

IF EXIST setupwiz.jar (
    erase setupwiz.jar 
    echo Removed setupwiz.jar
)

IF EXIST install.log (
    erase install.log 
    echo Removed install.log
)

IF EXIST chs (
    RD /s /Q chs 
    echo Removed chs directory
)

IF EXIST cht (
    RD /s /Q cht 
    echo Removed cht directory
)

IF EXIST deu (
    RD /s /Q deu 
    echo Removed deu directory
)

IF EXIST eng (
    RD /s /Q eng 
    echo Removed eng directory
)

IF EXIST esp (
    RD /s /Q esp 
    echo Removed esp directory
)

IF EXIST fra (
    RD /s /Q fra 
    echo Removed fra directory
)

IF EXIST itn (
    RD /s /Q itn 
    echo Removed itn directory
)

IF EXIST jpn (
    RD /s /Q jpn 
    echo Removed jpn directory
)

IF EXIST ptb (
    RD /s /Q ptb
    echo Removed ptb directory
)

IF EXIST kor (
    RD /s /Q kor
    echo Removed kor directory
)

echo Uninstall Complete...Please remove directory and files in %PWD%
