@echo off
REM ------------------------------------------------------------------------
REM Uninstall.cmd
REM
REM  Start the Java base installation wizard for the web proxy
REM
REM ------------------------------------------------------------------------

IF NOT DEFINED JAVA_HOME goto NOJAVAHOME

IF EXIST "%JAVA_HOME%\bin\java.exe" goto JAVA

IF EXIST "%JAVA_HOME%\bin\jre.exe" goto JRE

echo Unable to locate Java Virtural Machine.  Please verify
echo that the executable java or jre exists in the directory
echo %JAVA_HOME%\bin
goto EXIT

:JAVA
%JAVA_HOME%\bin\java -classpath setupwiz.jar;%JAVA_HOME%\lib\classes.zip Setup -uninstall
IF ERRORLEVEL 0 goto FINISH
goto EXIT

:JRE
%JAVA_HOME\bin\jre -cp setupwiz.jar;%JAVA_HOME%\lib\rt.jar;%JAVA_HOME%\lib\i18n.jar Setup -uninstall
IF ERRORLEVEL 0 goto FINISH
goto EXIT

:FINISH
call Cleanup
goto CLEANEXIT

:NOJAVAHOME
echo Enviroment Variable JAVA_HOME is undefined.  Please set
echo the JAVA_HOME enviroment variable to the base of the 
echo Java tree.
echo.
echo   For Example:
echo.
echo       set JAVA_HOME=c:\jdk1.1.6
echo.
goto EXIT

:CLEANEXIT
IF EXIST CLEANUP.CMD erase CLEANUP.CMD

:EXIT





